/*
 * @(#)jni_md.h 1.3 97/01/10
 *
 * Copyright (c) 1993-1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies.
 *
 * The Java source code is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

#ifndef _OS2_JNI_MD_H_                                                  /*ibm*/
#define _OS2_JNI_MD_H_                                                  /*ibm*/

#ifdef __cplusplus
extern "C" {
#endif

#if !defined OS2                                                        /*ibm*/
   #define OS2 1
#endif                                                                  /*ibm*/
#if defined OS2                                                         /*ibm*/
#define JNIEXPORT
#define JNICALL0 _System

#if defined (JAVA_EXE) || defined (HPJ_BUILD)
#define JNICALL          JNICALL0
#else
#define JNICALL  _Export JNICALL0
#endif
#define PJNICALL * JNICALL0
#else                                                                   /*ibm*/
#define JNIEXPORT __declspec(dllexport)
#define JNICALL __stdcall
#define PJNICALL JNICALL *
#endif                                                                  /*ibm*/

typedef long jint;
#if defined OS2                                                         /*ibm*/
#include <typedefs_md.h>
typedef int64_t jlong;
#else                                                                   /*ibm*/
typedef __int64 jlong;
#endif                                                                  /*ibm*/
typedef signed char jbyte;

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif                                                                  /*ibm*/

#if defined _OOBJ_H_ && !defined _PIN_HANDLE_H_                         /*ibm*/

#ifdef __cplusplus
extern "C" {
#endif

/* Temporary place for these functions - <oobj.h> gives us JHandle* */
#define _PIN_HANDLE_H_                                                  /*ibm*/
#ifdef JMS_TRL                                                          /*ibm*/
/* Note: These functions are subject to change, and may be removed */
JHandle* pin_handle(JHandle *h);
void     unpin_handle(JHandle *h);
#else                                                                   /*ibm*/
#define pin_handle(h)   (h)
#define unpin_handle(h) ((void)0)
#endif                                                                  /*ibm*/

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif                                                                  /*ibm*/
